unit DynamicAppEmployeeForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DynamicAppInterfaces, Menus, DB, DBClient, Grids, DBGrids, ComCtrls,
  ToolWin;

type
  TEmployeeForm = class(TForm, IDynamicForm)
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    MainMenu1: TMainMenu;
    Employee1: TMenuItem;
    new1: TMenuItem;
    bydepartment1: TMenuItem;
    giveraise1: TMenuItem;
    more1: TMenuItem;
    StatusBar1: TStatusBar;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    // IDynamicForm implementation
    function GoToRecord (const recordId: string): Boolean;
    function GetMenu: TMenuItem;
    function GetModule: THandle;
  end;

var
  EmployeeForm: TEmployeeForm;

implementation

{$R *.dfm}

procedure TEmployeeForm.FormCreate(Sender: TObject);
begin
  ClientDataSet1.Active := True;
end;

function TEmployeeForm.GetMenu: TMenuItem;
begin
  MainMenu1.Items.Remove(Employee1);
  Result := Employee1;
end;

function TEmployeeForm.GetModule: THandle;
begin
  // Result := Windows.GetModuleHandle (nil);
  // ShowMessage (intToStr (result));
  Result := Windows.GetModuleHandle ('DynAppEmployeePack.bpl');
  // ShowMessage (intToStr (result));
end;

function TEmployeeForm.GoToRecord(const recordId: string): Boolean;
begin
  // TODO....
end;

procedure TEmployeeForm.ToolButton2Click(Sender: TObject);
begin
  ShowMessage ('hi');
end;

initialization
  RegisterFormClass (TEmployeeForm, Windows.GetModuleHandle ('DynAppEmployeePack.bpl'));

end.
