unit DynamicAppCustForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DynamicAppInterfaces, Menus, DB, DBClient, Grids, DBGrids, ComCtrls,
  ToolWin, StdCtrls;

type
  TCustomerForm = class(TForm, IDynamicForm)
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    MainMenu1: TMainMenu;
    cust: TMenuItem;
    new1: TMenuItem;
    bydepartment1: TMenuItem;
    giveraise1: TMenuItem;
    more1: TMenuItem;
    StatusBar1: TStatusBar;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    newitem1: TMenuItem;
    RadioButton1: TRadioButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure more1Click(Sender: TObject);
    procedure newitem1Click(Sender: TObject);
  private
    { Private declarations }
  public
    // IDynamicForm implementation
    function GoToRecord (const recordId: string): Boolean;
    function GetMenu: TMenuItem;
    function GetModule: THandle;
  end;

var
  CustomerForm: TCustomerForm;

implementation

{$R *.dfm}

procedure TCustomerForm.FormCreate(Sender: TObject);
begin
  ClientDataSet1.Active := True;
end;

function TCustomerForm.GetMenu: TMenuItem;
begin
  MainMenu1.Items.Remove(cust);
  Result := cust;
end;

function TCustomerForm.GetModule: THandle;
begin
  // Result := Windows.GetModuleHandle (nil);
  // ShowMessage (intToStr (result));
  Result := Windows.GetModuleHandle ('DynAppEmployeePack_another.bpl');
  // ShowMessage (intToStr (result));
end;

function TCustomerForm.GoToRecord(const recordId: string): Boolean;
begin
  // TODO....
  Result := False;
end;

procedure TCustomerForm.more1Click(Sender: TObject);
begin
  ShowMessage ('this has been updated, again...');
end;

procedure TCustomerForm.newitem1Click(Sender: TObject);
begin
  ShowMessage ('agic');
end;

procedure TCustomerForm.ToolButton2Click(Sender: TObject);
begin
  ShowMessage ('hi coderage viewers');
end;

initialization
  RegisterFormClass (TCustomerForm, Windows.GetModuleHandle ('DynAppEmployeePack_another.bpl'));

end.
