unit MainDialog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IntfUnit;

type
  TFormDialog = class(TForm, IEditTextIntf)
    Edit1: TEdit;
  private
    procedure SetEditText(const Value: string);
    function GetEditText: string;
    { Private declarations }
  public
    { Public declarations }
  published
    property EditText: string
      read GetEditText write SetEditText;
  end;

var
  FormDialog: TFormDialog;

implementation

{$R *.dfm}

{ TFormDialog }

function TFormDialog.GetEditText: string;
begin
  Result := Edit1.Text;
end;

procedure TFormDialog.SetEditText(const Value: string);
begin
  Edit1.Text := Value;
end;

initialization
  FormDialog := TFormDialog.Create (nil);

finalization
  FormDialog.Free;

end.
